import SwiftUI

struct V: View {
  @StateObject var vm = VM()
  
  var body: some View {
    VStack {
      HStack {
        Text("Check text field:")
        Text("'\(vm.text)'")
          .fontWeight(.bold)
      }

      TextField("Binding-3", value: $vm.text, formatter: TextFieldValueOwner())
        .padding(8)
        .border(Color.green, width: 4)
    }
    .frame(width: 320)
    .padding()
  }
}
